<script lang="ts">
import { defineComponent, ref } from '@vue/composition-api'
import { CodeRecord, NonePayload, Workstation, DDR } from "@/model"

export default defineComponent({
	name: "Station",
	props: {
		station: Object as () => Workstation
	},
	setup(props, context) {
		return {
			DDR
		}
	},
})
</script>

<template>
	<v-card>
		<div class="name overline">
			{{station.label}}
		</div>

		<v-btn outlined color="gray" v-for="record in station.codetable" :key="record.label" @click="$emit('send', {record})">
			<v-icon>{{record.direction == DDR.FROM_SERVER ? "mdi-inbox-arrow-down" : "mdi-clipboard-check"}}</v-icon>
			{{record.code}} - {{record.label}}
			<!-- <v-text-field
				v-if="record.hasPayload"
				label="Payload"
				v-model="payload"
				@click.stop
			></v-text-field> -->
		</v-btn>
	</v-card>
</template>

<style scoped>
.v-card {
	padding: 0.5em;
	margin: 1em;
	display: flex;
	gap: 0.3em;
	align-items: center;
}
.name{
	min-width: 10em;
	text-align: center;
}
.v-btn{
	min-height: 10em;
	width: 12em;
	flex-wrap: wrap;
}
.v-btn >>> .v-btn__content{
	flex-direction: column;
	flex-wrap: wrap;
	width: 100%;
	white-space: normal;
}
</style>